uk.ac.starlink.pal

## Class UTCdate

- java.lang.Object
- - uk.ac.starlink.pal.UTCdate

-     public class UTCdate
      extends java.lang.Object

  UTC Date

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UTCdate(double date)` UTC Date
    `UTCdate(double date, double derivative)` UTC Date

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDate()` UTC Date
    `double` | `getDeriv()` UTC Date
    `java.lang.String` | `toString()` Get String representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UTCdate

          public UTCdate(double date,
                         double derivative)

      UTC Date

    - #### UTCdate

          public UTCdate(double date)

      UTC Date

  - ### Method Detail

    - #### getDate

          public double getDate()

      UTC Date

    - #### getDeriv

          public double getDeriv()

      UTC Date

    - #### toString

          public java.lang.String toString()

      Get String representation
      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Central Laboratory of the Research Councils. All Rights Reserved.